iSndSysRendererCallback Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysRendererCallback Struct Reference
Sound system

Sound System renderer interface for callback notification. More...

`#include <isndsys/ss_renderer.h>`

Inheritance diagram for iSndSysRendererCallback:

List of all members.

## Public Member Functions
virtual void | SourceAddNotification (iSndSysSource *pSource)=0
| Called whenever a source is added to the system.
virtual void | SourceRemoveNotification (iSndSysSource *pSource)=0
| Called whenever a source is removed to the system.
virtual void | StreamAddNotification (iSndSysStream *pStream)=0
| Called whenever a stream is added to the system.
virtual void | StreamRemoveNotification (iSndSysStream *pStream)=0
| Called whenever a stream is removed from the system.

## Detailed Description

Sound System renderer interface for callback notification.

A component wishing to receive notification of Sound Renderer events should implement this interface, and call iSndSysRenderer::RegisterCallback() to register with the renderer.

Definition at line 101 of file ss_renderer.h.

## Member Function Documentation

virtual void iSndSysRendererCallback::SourceAddNotification | ( | iSndSysSource * | pSource | ) | `[pure virtual]`

Called whenever a source is added to the system.

virtual void iSndSysRendererCallback::SourceRemoveNotification | ( | iSndSysSource * | pSource | ) | `[pure virtual]`

Called whenever a source is removed to the system.

virtual void iSndSysRendererCallback::StreamAddNotification | ( | iSndSysStream * | pStream | ) | `[pure virtual]`

Called whenever a stream is added to the system.

virtual void iSndSysRendererCallback::StreamRemoveNotification | ( | iSndSysStream * | pStream | ) | `[pure virtual]`

Called whenever a stream is removed from the system.

The documentation for this struct was generated from the following file:

- isndsys/ss_renderer.h